local _, NS = ...

NS.PREFIX_COLOR = "D040D0"
NS.ADDON_NAME="OrganizedPanic"
NS.CHAT_COMMAND_NAME="op"

NS.DEFAULTS = {
  profile = {
    flashBorder = true,
    playSound = true,
    sound = "auctionhouse",
    borderColor = {r = 0.0, g = 0.0, b = 1.0},
    debug = false,
    includeSelf = false,
    includeRole = true
  }
}

NS.PANIC_SPELLS = {
  [740] = "HEALER",
  [64843] = "HEALER",
  [265202] = "HEALER",
  [115310] = "HEALER",
  [108280] = "HEALER",
  [98008] = "HEALER",
  -- [774] = "HEALER",
  -- [48438] = "HEALER",
  -- [190356] = "DAMAGER"
}

NS.SOUNDS = {
  ["artifact"] = "Interface/AddOns/OrganizedPanic/sounds/artifact.ogg",
  ["azerite"] = "Interface/AddOns/OrganizedPanic/sounds/azerite.ogg",
  ["legendary"] = "Interface/AddOns/OrganizedPanic/sounds/legendary.ogg",
  ["objectivecomplete"] = "Interface/AddOns/OrganizedPanic/sounds/objectivecomplete.ogg",
  ["auctionhouse"] = "Interface/AddOns/OrganizedPanic/sounds/auctionhouse.ogg",
  ["auctionclose"] = "Interface/AddOns/OrganizedPanic/sounds/auctionclose.ogg",
  ["raidwarning"] = "Interface/AddOns/OrganizedPanic/sounds/raidwarning.ogg",
  ["raidbosswarning"] = "Interface/AddOns/OrganizedPanic/sounds/raidbosswarning.ogg",
  ["raidbosswhisperwarning"] = "Interface/AddOns/OrganizedPanic/sounds/ui_raidbosswhisperwarning.ogg",
}
